local cameramode = "menu"

camera = {
	x = 0,
	y = 0,
	}
	
Z={1,1}
function zoom(dt)
	local zoom_dir = 0
	screenWidth =( 800 / 2 ) / (Z[1])
	screenHeight =( 600 / 2 ) / (Z[1])
	
	if Z[1] ~= Z[2] then
		if Z[1] > Z[2] then
			Z[1] = Z[1] - (1*dt)
			if Z[1] < Z[2] then
				Z[1] = Z[2]
			end
		elseif Z[1] < Z[2] then
			Z[1] = Z[1] + (1*dt)
			if Z[1] > Z[2] then
				Z[1] = Z[2]
			end
		end
	end
end
	
function cameraChange(mode)
	cameramode = mode
end

function cameraUpdate(dt)
	offset = {screenWidth /2, screenHeight/2}
	if cameramode == "menu" then
		camera.x = 0
		camera.y = 0
	end
	if cameramode == "follow1" then
		if #racers ~= 0 then
			camera.y = racers[1].y - 400
		end
	end
	if cameramode == "still" then
		camera.y = camera.y
	end
	if cameramode == "mouse" then
		camera.x = love.mouse.getX() - screenWidth
		camera.y = love.mouse.getY() - screenHeight
	end
end